import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";

// 引入清除样式,重置样式,公共样式
import "@/assets/css/normalize.css";
import "@/assets/css/reset.css";
import "@/assets/css/common.less";
// 引入iconfont
import "@/assets/fonts/iconfont.css";

// moment 时间处理
import moment from "moment";
Vue.prototype.$moment = moment;

// 引入element-ui
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
Vue.use(ElementUI);
import { message } from "@/utils/resetMessage";
Vue.prototype.$message = message;

import { resetForm } from "@/utils";
Vue.prototype.resetForm = resetForm;

// 表格生成
import plugins from "./components/formDes/index";
Vue.use(plugins);

// 中央事件
Vue.prototype.$bus = new Vue();
Vue.config.productionTip = false;

Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
